<?php
include_once 'util.inc';

class Twitter {

    // @formatter:off
    private static $curlOpts = array(
        CURLOPT_TIMEOUT        => 300,
        CURLOPT_CONNECTTIMEOUT => 60,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYHOST => false,
        CURLOPT_SSL_VERIFYPEER => false,
        CURLOPT_ENCODING       => 'gzip,deflate'
    );
    // @formatter:on

    public function __construct() {
    }

    public function getTrending($region = 1) {
        $curl = curl_init();
        curl_setopt_array($curl, self::$curlOpts);
        curl_setopt($curl, CURLOPT_URL, "https://api.twitter.com/1/trends/" . $region . ".json");
        $json = curl_exec($curl);
        $data = json_decode($json);
        return $data[0] -> trends;
    }

}

$twitter = new Twitter();
$trends = $twitter -> getTrending();
// @formatter:off
renderTemplate(
    'trending_template.inc',
    array(
        'trends' => $trends
    )
);
// @formatter:on
?>
